BaseTokenTestCase (Solr 3.6.2 API)
Keywords: org.apache.solr.analysis.BaseTokenTestCase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.analysis
Class BaseTokenTestCase

    java.lang.Object
      org.junit.Assert
          org.apache.lucene.util.LuceneTestCase
              org.apache.lucene.analysis.BaseTokenStreamTestCase
                  org.apache.solr.analysis.BaseTokenTestCase

    public abstract class BaseTokenTestCase

extends BaseTokenStreamTestCase

General token testing helper functions

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.analysis.BaseTokenStreamTestCase
`BaseTokenStreamTestCase.CheckClearAttributesAttribute, BaseTokenStreamTestCase.CheckClearAttributesAttributeImpl`

Nested classes/interfaces inherited from class org.apache.lucene.util.LuceneTestCase
`LuceneTestCase.Nightly`

Field Summary
`static Version` | `DEFAULT_VERSION` The default test version for easy testing
`protected static Map<String,String>` | `DEFAULT_VERSION_PARAM` a map containing the default test version param for easy testing

Fields inherited from class org.apache.lucene.util.LuceneTestCase
`classRules, random, RANDOM_MULTIPLIER, ruleChain, stores, TEMP_DIR, TEST_CLEAN_THREADS, TEST_DIRECTORY, TEST_ITER, TEST_ITER_MIN, TEST_LINE_DOCS_FILE, TEST_LOCALE, TEST_NIGHTLY, TEST_SEED, TEST_TIMEZONE, TEST_VERSION_CURRENT, testsFailed, VERBOSE`

Constructor Summary
`BaseTokenTestCase()`

Method Summary

Methods inherited from class org.apache.lucene.analysis.BaseTokenStreamTestCase
`assertAnalyzesTo, assertAnalyzesTo, assertAnalyzesTo, assertAnalyzesTo, assertAnalyzesTo, assertAnalyzesTo, assertAnalyzesTo, assertAnalyzesTo, assertAnalyzesToPositions, assertAnalyzesToReuse, assertAnalyzesToReuse, assertAnalyzesToReuse, assertAnalyzesToReuse, assertAnalyzesToReuse, assertAnalyzesToReuse, assertTokenStreamContents, assertTokenStreamContents, assertTokenStreamContents, assertTokenStreamContents, assertTokenStreamContents, assertTokenStreamContents, assertTokenStreamContents, assertTokenStreamContents, assertTokenStreamContents, assertTokenStreamContents, assertTokenStreamContents, assertTokenStreamContents, checkAnalysisConsistency, checkAnalysisConsistency, checkOneTerm, checkOneTermReuse, checkRandomData, checkRandomData, checkRandomData, checkRandomData, checkRandomData, escape, toDot, toDotFile`

Methods inherited from class org.apache.lucene.util.LuceneTestCase
`afterClassLuceneTestCaseJ4, alwaysIgnoredTestMethod, assertEquals, assertEquals, assertEquals, assertEquals, assertSaneFieldCaches, asSet, assumeFalse, assumeNoException, assumeTrue, atLeast, atLeast, beforeClassLuceneTestCaseJ4, dumpArray, dumpIterator, getDataFile, getName, getTestClass, getTestLabel, isTestThread, localeForName, newDirectory, newDirectory, newDirectory, newDirectory, newField, newField, newField, newField, newField, newField, newFSDirectory, newFSDirectory, newIndexWriterConfig, newIndexWriterConfig, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newSearcher, newSearcher, newTieredMergePolicy, newTieredMergePolicy, purgeFieldCache, randomDirectory, randomLocale, randomTimeZone, rarely, rarely, reportAdditionalFailureInfo, reportPartialFailureInfo, setMergeFactor, setUp, setUseCompoundFile, tearDown, usually, usually`

Methods inherited from class org.junit.Assert
`assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertThat, assertThat, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_VERSION_PARAM

    protected static final Map<String,String> DEFAULT_VERSION_PARAM

  a map containing the default test version param for easy testing

### DEFAULT_VERSION

    public static final Version DEFAULT_VERSION

  The default test version for easy testing

Constructor Detail

### BaseTokenTestCase

    public BaseTokenTestCase()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD